//		Copyright © 1998–1999  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Prefix header file.

#ifndef ST_PREFIX_H
#define ST_PREFIX_H

#if __POWERPC__
#  include <BeHeaders>
#endif

// ST_DEBUG can be defined to one of the following values:
//   0 - no debug output
//   1 - error and status reporting
//   2 - verbose output
//
#define ST_DEBUG 0

#if ST_DEBUG
#	define ddprintf(p) dprintf##p
#else
#	define ddprintf(p)
#endif

#define PUBLIC __declspec(dllexport)

#endif // ST_PREFIX_H
