//		Copyright © 1998	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Implementation of driver operations open(), close(), free().

#ifndef ST_OPENCLOSE_H
#define ST_OPENCLOSE_H

#include <SupportDefs.h>

// Try to bring the device on-line.
status_t mountDevice(LogicalDevice &logicalDevice);

// Published driver operations.
status_t stOpen(const char *pName, uint32 flags, void **ppCookie);
status_t stClose(void *pCookie);
status_t stFree(void *pCookie);

#endif // ST_OPENCLOSE_H
